View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001456aMuleSharedfilespublic2008-12-14 17:432009-01-01 20:45
Reportersturedman 
Assigned Tosturedman 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001456: finished files not properly shared
Descriptionhttp://www.amule.org/amule/index.php?topic=16266.0 [^]

skolnick:
I have my amule set to have temp and incoming folders in different partitions. This is on a Fedora 10 system. However, I noticed that when finishing a file, the file seems to be shared normally, and everything seems OK, but if I click the button to rescan shared files, it will rehash the files it has finished in this session. The following log explains it better (I renamed the file and hid part of the hashes to protect the innocent Cheesy):

Code:

2008-12-11 22:06:41: Found 313 known shared files
2008-12-11 22:06:41: ThreadScheduler: Completed task 'AICH Syncronizing', 0 tasks remaining.
2008-12-11 22:07:54: Hasher: Starting to create MD4 and AICH hash for file: 271.part
2008-12-11 22:08:07: ThreadScheduler: Completed task 'Hashing - /home/gpulido/amule/Temp/271.part', 0 tasks remaining.
2008-12-11 22:08:07: Suspending upload of file: FAFD18027590E8977E5D8398********
2008-12-11 22:08:10: Resuming uploads of file: FAFD18027590E8977E5D8398********
2008-12-11 22:08:10: Finished downloading: myfile.rar
2008-12-11 22:08:10: ThreadScheduler: Completed task 'Completing - /home/gpulido/amule/Temp/271.part.met', 1 tasks remaining.
2008-12-11 22:08:10: ThreadScheduler: Completed task 'AICH Syncronizing', 0 tasks remaining.
2008-12-11 22:08:21: Hasher: Starting to create MD4 and AICH hash for file: myfile.rar
2008-12-11 22:08:21: Found 312 known shared files, 1 unknown
2008-12-11 22:08:25: ThreadScheduler: Completed task 'Hashing - /mnt/warehouse/a/myfile.rar', 0 tasks remaining.
2008-12-11 22:08:25: ThreadScheduler: Completed task 'AICH Syncronizing', 0 tasks remaining.


Notice that I first scan shared files, and it says there are 313 files. Then, the file "myfile.rar" finishes downloading at 22:07:54 and starts hashing. At 22:08:10 the file is complete in the incoming folder. But then at 22:08:21 I click on rescan shared files, and now I have only 312 shared files (1 less than before) and an unknown file, which happens to be the recently finished file. Just in case it matters, the folder where my file is moved, is not the main incoming folder, is another folder, and is moved there by using categories.
TagsNo tags attached.
Fixed in Revision
Operating SystemFedora 10
Attached Files

- Relationships

-  Notes
(0003028)
sturedman (developer)
2009-01-01 14:23

Fixed in 9314.

- Issue History
Date Modified Username Field Change
2008-12-14 17:43 sturedman New Issue
2008-12-14 17:43 sturedman Operating System => Fedora 10
2008-12-28 22:28 sturedman Status new => assigned
2008-12-28 22:28 sturedman Assigned To => sturedman
2009-01-01 14:23 sturedman Note Added: 0003028
2009-01-01 14:23 sturedman Status assigned => closed
2009-01-01 14:23 sturedman Resolution open => fixed
2009-01-01 20:45 sturedman Status closed => resolved
2009-01-01 20:45 sturedman Fixed in Version => SVN


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker